set term postscript landscape "Helvetica"25
set output "scal-init-overhead.ps"

#set key 19,4.8
set key right bottom
set size 0.9, 0.9
set xlabel "Number of nodes in the network"
set ylabel "Initial overhead (floodings)"   
#set y2label "Avg levels of hierarchy" 
set y2label "Avg # of landmark in route table"
set logscale x
set autoscale ymax
set xtics (200,400,800,1600,3200,6400,12800)
set yrange [5:45]
set y2range [5:45]
#set y2range [2:6] 
set ytics 5,5,45
#set y2tics 2,1,3
set ytics 5,5,45

plot "scal-init-overhead.data" using 1:2 title 'Overhead' with linespoints axis x1y1, \
			"scal-init-overhead.data" using 1:($3*6) title '# of LM in RT' with linespoints pointtype 3 axis x1y2, \
			"scal-init-overhead.data" using 1:($3*6):4:5 title '' with errorbars axis x1y2 
			
#			"scal-init-overhead.data" using 1:3 title 'Level' with linespoints axis x1y2

reset
