set term postscript landscape "Helvetica"25
set output "scal-state.ps"

#set key 19,4.8
set key right bottom
set size 0.9, 0.9
set xlabel "Number of nodes in the network"
set ylabel "Initial overhead (floodings)"   
set y2label "Avg levels of hierarchy" 
set logscale x
set autoscale ymax
set xtics (200,400,800,1600,3200,6400,12800)
set yrange [14:34]
set y2range [2:6] 
set ytics 14,5,34
set y2tics 2,1,6

plot "scal-state.data" using 1:2 title 'Avg route table size' with linespoints axis x1y1, \
			"scal-init-overhead.data" using 1:3 title 'Level' with linespoints axis x1y2

reset
