set ns_ [new Simulator]
#set tracefd [open hgr-analysis.tr w]
#$ns_ trace-all $tracefd

set rungreedy 1
set randomseed 0
set connectivity 0.5

set maxspeed 20.0
set pause 0
set updatetotime 1200.0

source "dynamic-config.tcl"

set x [lindex $argv 0]

set hgranalysis [new HgrRun]
$hgranalysis nnodes $nodes
$hgranalysis run-num 100
$hgranalysis area $maxx $maxy
$hgranalysis connectivity $connectivity
$hgranalysis random-seed $randomseed
$hgranalysis gen-scene $nodes $maxx $maxy $maxz $maxspeed $pause hgrrun-$nodes$x
$hgranalysis update-to-time $updatetotime
$hgranalysis lm-mode 2		;# 0->edge, 1->uniform
$hgranalysis distance-power 20
$hgranalysis lm_num 30
$hgranalysis findnext-mode 2	;# 1->1 hop neighbors, 2->2 hop neighbors
$hgranalysis peri 1		;# 0->not use peri, 1->use peri
$hgranalysis expending 1 	;# 0->not use expending ring, 1->use expending ring
$hgranalysis flood-mode 0 5	;# first para: 0->not flood at dead end, 1->flood at dead ends
$hgranalysis run-greedy $rungreedy
$hgranalysis pkt-recv-ratio 1.0
$hgranalysis hello-interval 1
$hgranalysis fail-interval $failinterval
$hgranalysis max-fail $maxfail
$hgranalysis run

$ns_ run
