#!/usr/bin/perl -w
# Call traceroute to get the path from the source to the destination, 
# and the paths from the source to internal routers on the end-to-end path
# The purpose of this code is to study the prefix path property

use Getopt::Long;

my $help;
my $fname;
my $i;

my $start = 0;
my $ind;
my $num_exp = 0;
my $stretch = 0;
my $flood = 0;
my $level = 0;
		
GetOptions ("f=s"    => \$fname,
			"h"    => \$help
			) or die "Syntax error\n";

if($help || !$fname) {
	print "hght-avg-result.pl -f fname\n";
	exit 0;
}

open RF, "< $fname" or die "Cannot open output file $fname\n";
@lines = <RF>;
chomp @lines;
close RF;

$i = 0;

for(@lines) {	
	my $line = $_;	
	
	my @tks = split /\s+/;
	#print "$line\n";
	
	$_ = $line;
	if(/now for/) {				
		if($start==1 && $num_exp>0) {
			printf "%g\t%.4f\t%.4f\t%.4f\n", $ind, ($stretch/$num_exp), ($flood/$num_exp), ($level/$num_exp);
		}
		
		$ind = $tks[3];		
		$num_exp = 0;
		$stretch = 0;
		$flood = 0;
		$level = 0;
		$start = 1;
	}
	elsif (/Path stretch average/) {
		$num_exp++;
		$stretch += $tks[4];
	}
	elsif (/# Flooding overhead/) {
		$flood += $tks[5];
		$level += $tks[9];
	}
}

if($num_exp>0) {
	printf "%g\t%.4f\t%.4f\t%.4f\n", $ind, ($stretch/$num_exp), ($flood/$num_exp), ($level/$num_exp);
}